import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class Main {
  public static void main(String[] args) throws Exception {
    ApplicationContext ctx = new ClassPathXmlApplicationContext(
        "context.xml");
    ErrorReporter reporter = (ErrorReporter) ctx.getBean("errorReporter");
    reporter.evaluate(1);
  }
}

class ErrorReporter {

  public void evaluate(int value) {
      System.out.println(value);

  }

}
